require 'spec_helper'

describe Marksman::CLI do

  context 'generate' do

    it 'should call writer' do
      writer = double(Marksman::Writer)
      expect(Marksman::Writer).to receive(:new).with('spec/data/example.md', 'output', nil).and_return(writer)
      expect(writer).to receive(:generate)
      subject.generate('spec/data/example.md', 'output')
    end

  end

  context 'watch' do

    it 'should call watch' do
      writer = double(Marksman::Watcher)
      expect(Marksman::Watcher).to receive(:new).with('spec/data/example.md', 'output', nil).and_return(writer)
      expect(writer).to receive(:watch)
      subject.watch('spec/data/example.md', 'output')
    end

  end
end
