require 'spec_helper'

describe Marksman::Presentation do

  context 'equality' do

    it 'should return true if presentation is equal' do
      expect(Marksman::Presentation.new({filename: 'example.md'})).to eq(Marksman::Presentation.new({filename: 'example.md'}))
    end

    it 'should return false if the presentation is not equal' do
      expect(Marksman::Presentation.new({filename: 'example.md'})).not_to eq(Marksman::Presentation.new({}))
    end

  end

  context 'title' do

    it 'should return the title' do
      expect(Marksman::Presentation.new({metadata: {title: 'Example Title'}}).title).to eq('Example Title')
    end

  end

end
