# coding: utf-8
lib = File.expand_path('../lib', __FILE__)
$LOAD_PATH.unshift(lib) unless $LOAD_PATH.include?(lib)
require 'marksman/version'

Gem::Specification.new do |spec|
  spec.name          = "marksman"
  spec.version       = Marksman::VERSION
  spec.authors       = ["Bodo Tasche"]
  spec.email         = ["bodo@wannawork.de"]
  spec.summary       = %q{A opinionated presentation software}
  spec.description   = %q{Write slides in markdown and create beautifull presentation within minutes.}
  spec.homepage      = ""
  spec.license       = "MIT"

  spec.files         = `git ls-files -z`.split("\x0")
  spec.executables   = spec.files.grep(%r{^bin/}) { |f| File.basename(f) }
  spec.test_files    = spec.files.grep(%r{^(test|spec|features)/})
  spec.require_paths = ["lib"]

  spec.add_dependency "redcarpet", "~> 3.1.1"
  spec.add_dependency "haml", "~> 4.0.5"
  spec.add_dependency "thor", "~> 0.19.1"
  spec.add_dependency "listen", "~> 2.7.1"

  spec.add_development_dependency "bundler", "~> 1.5"
  spec.add_development_dependency "rake"
  spec.add_development_dependency "pry"
  spec.add_development_dependency "rspec"
  spec.add_development_dependency "guard"
  spec.add_development_dependency "guard-rspec"
end
